Help | Broken graphs

Post general support questions here that do not specifically fall into the Linux or Windows categories.

Moderators: Moderators, Developers

Post Reply
Author
Message
panga
Posts: 3
Joined: Tue Sep 24, 2019 4:06 pm

Help | Broken graphs

#1 Post by panga » Thu Sep 26, 2019 10:04 am

OS: Linux cacti 2.6.32-28-generic-pae #55-Ubuntu

Cacti Version: 0.8.7e

We have serveral problems with Cacti graphs since objects are showing broken, I don't know in which part I cannot start the troubleshooting.

Could you please give me a clue?

I'm attaching an image of what it looks like.
2019-09-25 11_22_40-Cacti.png
2019-09-25 11_22_40-Cacti.png (35.27 KiB) Viewed 769 times

cigamit
Developer
Posts: 2786
Joined: Thu Apr 07, 2005 3:29 pm
Location: B/CS Texas
Contact:

Re: Help | Broken graphs

#2 Post by cigamit » Sun Sep 29, 2019 10:13 am

Check the Cacti log.

Also 0.8.7e is extremely old.

panga
Posts: 3
Joined: Tue Sep 24, 2019 4:06 pm

Re: Help | Broken graphs

#3 Post by panga » Tue Oct 01, 2019 8:52 am

cigamit wrote:
Sun Sep 29, 2019 10:13 am
Check the Cacti log.

Also 0.8.7e is extremely old.
Thank you cigamit, I found PHP error, I think I should update PHP.

Code: Select all

PHP Deprecated:  Function eregi_replace() is deprecated in /usr/share/cacti/site/lib/snmp.php on line 398
PHP Deprecated:  Function define_syslog_variables() is deprecated in /usr/share/cacti/site/lib/functions.php on line 469
PHP Deprecated:  Function eregi_replace() is deprecated in /usr/share/cacti/site/lib/snmp.php on line 398
PHP Deprecated:  Function define_syslog_variables() is deprecated in /usr/share/cacti/site/lib/functions.php on line 469
PHP Deprecated:  Function eregi_replace() is deprecated in /usr/share/cacti/site/lib/snmp.php on line 398
PHP Deprecated:  Function eregi_replace() is deprecated in /usr/share/cacti/site/lib/snmp.php on line 398
PHP Deprecated:  Function eregi_replace() is deprecated in /usr/share/cacti/site/lib/snmp.php on line 398
PHP Deprecated:  Function define_syslog_variables() is deprecated in /usr/share/cacti/site/lib/functions.php on line 469
PHP Deprecated:  Function eregi_replace() is deprecated in /usr/share/cacti/site/lib/snmp.php on line 398
PHP Deprecated:  Function define_syslog_variables() is deprecated in /usr/share/cacti/site/lib/functions.php on line 469
PHP Deprecated:  Function eregi_replace() is deprecated in /usr/share/cacti/site/lib/snmp.php on line 398

User avatar
TheWitness
Developer
Posts: 14817
Joined: Tue May 14, 2002 5:08 pm
Location: MI, USA
Contact:

Re: Help | Broken graphs

#4 Post by TheWitness » Wed Oct 02, 2019 5:24 am

You can turn off deprecation warnings. Google for that, but I suggest you upgrade to a recent Cacti.
True understanding begins only when we realize how little we truly understand...

Life is an adventure, let yours begin with Cacti!

Author of MacTrack, Boost, CLog, SpikeKill, Platform RTM, DSStats, maintainer of Spine, lot's of unpublished work and most of Cacti's bugs.
_________________
Official Cacti Documentation
GitHub Repository with Supported Plugins
Central Plugin Repository
Central Templates Repository


I'm still out there people. Getting excited for Cacti 1.2. I think it will be a great release.

panga
Posts: 3
Joined: Tue Sep 24, 2019 4:06 pm

Re: Help | Broken graphs

#5 Post by panga » Wed Oct 02, 2019 3:13 pm

TheWitness wrote:
Wed Oct 02, 2019 5:24 am
You can turn off deprecation warnings. Google for that, but I suggest you upgrade to a recent Cacti.
TheWitness, thank you for your answer, I have a Ubuntu server 10.04, which is quite old. So... I'm thinkin in installing a new Ubuntu 16, and migrate the DB, since we need the information inside for complience purporses.

netniV
Cacti Guru User
Posts: 2999
Joined: Sun Aug 27, 2017 12:05 am

Re: Help | Broken graphs

#6 Post by netniV » Mon Oct 21, 2019 5:22 am

I would recommend that you get a newer server setup and tested against Cacti 1.2.x. You will find some plugins are not compatible though so be sure to checkout your list of plugins and whether there is a 1.2.x compatible version. You also need to take care if you are moving from 32-bit to 64-bit servers as you'll have to go through a process of exporting your RRD data to re-import it.

Post Reply